net.sf.jasperreports.engine.export.ooxml

## Class PptxRunHelper

- java.lang.Object
- - net.sf.jasperreports.engine.export.ooxml.BaseHelper
  - - net.sf.jasperreports.engine.export.ooxml.PptxRunHelper

-     public class PptxRunHelper
      extends BaseHelper

  Version:
    $Id: PptxRunHelper.java 6604 2013-10-21 13:19:24Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper

      `jasperReportsContext, writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PptxRunHelper(JasperReportsContext jasperReportsContext, java.io.Writer writer, java.lang.String exporterKey)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `export(JRStyle style, java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes, java.lang.String text, java.util.Locale locale)`
    `void` | `export(JRStyle style, java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes, java.lang.String text, java.util.Locale locale, java.lang.String invalidCharReplacement)`
    `void` | `exportProps(JRPrintText text, java.util.Locale locale)`
    `void` | `exportProps(JRStyle style, java.util.Locale locale)`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper

      `close, flush, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PptxRunHelper

          public PptxRunHelper(JasperReportsContext jasperReportsContext,
                       java.io.Writer writer,
                       java.lang.String exporterKey)

  - ### Method Detail

    - #### export

          public void export(JRStyle style,
                    java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes,
                    java.lang.String text,
                    java.util.Locale locale)

    - #### export

          public void export(JRStyle style,
                    java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes,
                    java.lang.String text,
                    java.util.Locale locale,
                    java.lang.String invalidCharReplacement)

    - #### exportProps

          public void exportProps(JRStyle style,
                         java.util.Locale locale)

    - #### exportProps

          public void exportProps(JRPrintText text,
                         java.util.Locale locale)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com